extend(Bomb, createjs.Container);

function Bomb()
{	
	this.initialize();
	var th = this
	this.mouseChildren = false
//--------------------------------//

	var bomb = new createjs.Sprite(jsons["JSON1"])
		bomb.gotoAndStop('bomb')
		bomb.rotation = 90

	this.addChild(bomb)

	this.playSmoke = function(){
		var anim_smoke = new createjs.Sprite(jsons["JSON3"], "animsmoke")
		anim_smoke.play()
		anim_smoke.addEventListener("animationend", function(e){
			e.target.stop()
			if(e.target.parent)
				e.target.parent.removeChild(e.target)
		})
	
		// dragAndDrop(anim_smoke)
		anim_smoke.rotation = -45
		setCoor(anim_smoke, -161, 62)

		this.addChild(anim_smoke)
	}

}